lens-3.8.7.3: Lenses, Folds and Traversals

Portability | non-portable
Stability | provisional
Maintainer | Edward Kmett <ekmett@gmail.com>
Safe Haskell | Trustworthy

Control.Lens.Internal.Review

Contents

- Reviewing

Description

Synopsis

- class Profunctor p => Reviewable p where
  - retagged :: p a b -> p s b
- newtype Reviewed a b = Reviewed {
  - runReviewed :: b
  }

## Reviewing

class Profunctor p => Reviewable p where

This provides a dual notion to that of `Gettable`.

Methods

retagged :: p a b -> p s b

Instances

Reviewable Tagged |
Reviewable Reviewed |

newtype Reviewed a b

This is a profunctor used internally to implement Review

It plays a role similar to that of `Accessor` or `Const` do for Control.Lens.Getter

Constructors

Reviewed |
Fields runReviewed :: b

Instances

Bitraversable Reviewed |
Bifunctor Reviewed |
Bifoldable Reviewed |
Profunctor Reviewed |
Corepresentable Reviewed |
Choice Reviewed |
Reviewable Reviewed |
Wrapped a b (Reviewed s a) (Reviewed t b) |
Monad (Reviewed a) |
Functor (Reviewed a) |
MonadFix (Reviewed a) |
Applicative (Reviewed a) |
Foldable (Reviewed a) |
Traversable (Reviewed a) |
Comonad (Reviewed a) |
ComonadApply (Reviewed a) |
Distributive (Reviewed a) |
Apply (Reviewed a) |
Bind (Reviewed a) |